#include <iostream>
#include <vector>

using namespace std;


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,m,k;
    k=0;
    cin>>n>>m;
    int mat[n][m];
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
            mat[i][j]=0;
    }
    vector <int>a[n];
    vector <int>b[m];
    int x,y;
    for(int i=0;i<n;i++)
    {
        cin>>x>>y;
        a[i].push_back(x);
        a[i].push_back(y);
    }
    for(int i=0;i<m;i++)
    {
        cin>>x>>y;
        b[i].push_back(x);
        b[i].push_back(y);
    }
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            mat[i][j]=a[i][1];
        }
    }
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            
        }
    }
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
            cout<<mat[i][j];
        cout<<endl;
    }
    

}